cURL
curl --request POST \
--url https://api.tranthor.com/api/admin/content/templates/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"id": "<string>",
"name": "<string>",
"definition": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": true,
"badge": true
}
}
}
}
'import requests
url = "https://api.tranthor.com/api/admin/content/templates/duplicate"
payload = {
"workspaceId": "<string>",
"id": "<string>",
"name": "<string>",
"definition": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": True,
"badge": True
}
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
id: '<string>',
name: '<string>',
definition: {
type: 'MobilePush',
title: '<string>',
body: JSON.stringify('<string>'),
imageUrl: '<string>',
url: '<string>',
data: {},
messageMode: 'same',
ios: {
title: '<string>',
subtitle: '<string>',
body: JSON.stringify('<string>'),
imageUrl: '<string>',
options: {sound: 'default', timeSensitive: true, badge: true}
}
}
})
};
fetch('https://api.tranthor.com/api/admin/content/templates/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tranthor.com/api/admin/content/templates/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'id' => '<string>',
'name' => '<string>',
'definition' => [
'type' => 'MobilePush',
'title' => '<string>',
'body' => '<string>',
'imageUrl' => '<string>',
'url' => '<string>',
'data' => [
],
'messageMode' => 'same',
'ios' => [
'title' => '<string>',
'subtitle' => '<string>',
'body' => '<string>',
'imageUrl' => '<string>',
'options' => [
'sound' => 'default',
'timeSensitive' => true,
'badge' => true
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tranthor.com/api/admin/content/templates/duplicate"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"MobilePush\",\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"url\": \"<string>\",\n \"data\": {},\n \"messageMode\": \"same\",\n \"ios\": {\n \"title\": \"<string>\",\n \"subtitle\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"options\": {\n \"sound\": \"default\",\n \"timeSensitive\": true,\n \"badge\": true\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tranthor.com/api/admin/content/templates/duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"MobilePush\",\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"url\": \"<string>\",\n \"data\": {},\n \"messageMode\": \"same\",\n \"ios\": {\n \"title\": \"<string>\",\n \"subtitle\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"options\": {\n \"sound\": \"default\",\n \"timeSensitive\": true,\n \"badge\": true\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tranthor.com/api/admin/content/templates/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"MobilePush\",\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"url\": \"<string>\",\n \"data\": {},\n \"messageMode\": \"same\",\n \"ios\": {\n \"title\": \"<string>\",\n \"subtitle\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"options\": {\n \"sound\": \"default\",\n \"timeSensitive\": true,\n \"badge\": true\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"workspaceId": "<string>",
"type": "Email",
"updatedAt": 123,
"definition": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"android": {
"notification": {
"channelId": "<string>"
}
},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": true,
"badge": true
}
}
},
"draft": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"android": {
"notification": {
"channelId": "<string>"
}
},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": true,
"badge": true
}
}
},
"metaStatus": "UNSUBMITTED",
"whatsappTemplate": {
"rejectionReason": "<string>"
},
"createdBy": {
"name": "<string>",
"viaAssistantConnectionId": "<string>",
"viaAssistant": "<string>"
},
"unsaved": true
}{
"message": "<string>"
}"<string>"{
"message": "<string>"
}Templates
Duplicate a message template
Copy a message template into a new template named name.
cURL
curl --request POST \
--url https://api.tranthor.com/api/admin/content/templates/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"id": "<string>",
"name": "<string>",
"definition": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": true,
"badge": true
}
}
}
}
'import requests
url = "https://api.tranthor.com/api/admin/content/templates/duplicate"
payload = {
"workspaceId": "<string>",
"id": "<string>",
"name": "<string>",
"definition": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": True,
"badge": True
}
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
id: '<string>',
name: '<string>',
definition: {
type: 'MobilePush',
title: '<string>',
body: JSON.stringify('<string>'),
imageUrl: '<string>',
url: '<string>',
data: {},
messageMode: 'same',
ios: {
title: '<string>',
subtitle: '<string>',
body: JSON.stringify('<string>'),
imageUrl: '<string>',
options: {sound: 'default', timeSensitive: true, badge: true}
}
}
})
};
fetch('https://api.tranthor.com/api/admin/content/templates/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tranthor.com/api/admin/content/templates/duplicate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'id' => '<string>',
'name' => '<string>',
'definition' => [
'type' => 'MobilePush',
'title' => '<string>',
'body' => '<string>',
'imageUrl' => '<string>',
'url' => '<string>',
'data' => [
],
'messageMode' => 'same',
'ios' => [
'title' => '<string>',
'subtitle' => '<string>',
'body' => '<string>',
'imageUrl' => '<string>',
'options' => [
'sound' => 'default',
'timeSensitive' => true,
'badge' => true
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tranthor.com/api/admin/content/templates/duplicate"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"MobilePush\",\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"url\": \"<string>\",\n \"data\": {},\n \"messageMode\": \"same\",\n \"ios\": {\n \"title\": \"<string>\",\n \"subtitle\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"options\": {\n \"sound\": \"default\",\n \"timeSensitive\": true,\n \"badge\": true\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tranthor.com/api/admin/content/templates/duplicate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"MobilePush\",\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"url\": \"<string>\",\n \"data\": {},\n \"messageMode\": \"same\",\n \"ios\": {\n \"title\": \"<string>\",\n \"subtitle\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"options\": {\n \"sound\": \"default\",\n \"timeSensitive\": true,\n \"badge\": true\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tranthor.com/api/admin/content/templates/duplicate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"name\": \"<string>\",\n \"definition\": {\n \"type\": \"MobilePush\",\n \"title\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"url\": \"<string>\",\n \"data\": {},\n \"messageMode\": \"same\",\n \"ios\": {\n \"title\": \"<string>\",\n \"subtitle\": \"<string>\",\n \"body\": \"<string>\",\n \"imageUrl\": \"<string>\",\n \"options\": {\n \"sound\": \"default\",\n \"timeSensitive\": true,\n \"badge\": true\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"workspaceId": "<string>",
"type": "Email",
"updatedAt": 123,
"definition": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"android": {
"notification": {
"channelId": "<string>"
}
},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": true,
"badge": true
}
}
},
"draft": {
"type": "MobilePush",
"title": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"url": "<string>",
"data": {},
"android": {
"notification": {
"channelId": "<string>"
}
},
"messageMode": "same",
"ios": {
"title": "<string>",
"subtitle": "<string>",
"body": "<string>",
"imageUrl": "<string>",
"options": {
"sound": "default",
"timeSensitive": true,
"badge": true
}
}
},
"metaStatus": "UNSUBMITTED",
"whatsappTemplate": {
"rejectionReason": "<string>"
},
"createdBy": {
"name": "<string>",
"viaAssistantConnectionId": "<string>",
"viaAssistant": "<string>"
},
"unsaved": true
}{
"message": "<string>"
}"<string>"{
"message": "<string>"
}Authorizations
Body
application/json
Response
Default Response

